## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global appname         com.github.tkashkin.%{name}
%global short_version   0.16.3
%global minor_version   2
%global dev_version     %{short_version}-%{minor_version}-master

# Upstream recommendation disabling all optimizations due to known bugs
#   * https://github.com/tkashkin/GameHub/pull/169
%global optflags %{optflags} -O0

Name:           gamehub
Version:        %{short_version}.%{minor_version}
Release:        %autorelease
Summary:        All your games in one place

License:        GPLv3+
URL:            https://github.com/tkashkin/GameHub
Source0:        %{url}/archive/%{dev_version}/%{name}-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  meson
BuildRequires:  vala

BuildRequires:  pkgconfig(gdk-3.0)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(glib-2.0) >= 2.56
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.22
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libsoup-2.4) >= 2.60
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(manette-0.2)
BuildRequires:  pkgconfig(polkit-gobject-1)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(unity)
BuildRequires:  pkgconfig(webkit2gtk-4.0)

Requires:       hicolor-icon-theme
Requires:       polkit

Recommends:     dosbox
Recommends:     file-roller
Recommends:     innoextract
Recommends:     wine
Recommends:     wine-dxvk
# Requires for GOG DOSBox games
Recommends:     libcaca
# Interpreter for several adventure games
Recommends:     scummvm

%description
GameHub is a unified library for all your games. It allows you to store your
games from different platforms into one program to make it easier for you to
manage your games. Features

With GameHub, you can:

  * store your games in one place
  * login to multiple platforms
  * install games from the supported sources
  * download game installers, DLCs and bonus content
  * automatically find artwork for games on SteamGridDB
  * setup emulators and automatically import emulated games

GameHub also has features like:

  * Overlays — multiple directories applied on top of each other. Each overlay
    is stored separately and doesn't affect other overlays. Overlays can be
    useful to manage DLCs and mods
  * Tweaks — environment variable and command line overrides that can be
    applied to games automatically

GameHub supports:

  * native games for Linux
  * multiple compatibility layers:
    - Wine
    - Proton
    - DOSBox
    - RetroArch
    - ScummVM
    - WineWrap — a set of preconfigured wrappers for supported games;
    - custom emulators
  * multiple game platforms:
    - Steam
    - GOG
    - Humble Bundle (including Humble Trove)
    - itch.io


%prep
%autosetup -p1 -n GameHub-%{dev_version}


%build
branch=master
commit=9327885393f022fd1cccb219a19c0f87ae5e0f5a
commit_short="$(c=${commit}; echo ${c:0:7})"
%meson                                      \
    --buildtype=debug                       \
    -Dgit_branch="${branch}"                \
    -Dgit_commit="${commit}"                \
    -Dgit_commit_short="${commit_short}"    \
    %{nil}
%meson_build


%install
%meson_install
%find_lang %{appname}

# No HiDPI icons version yet
rm -r %{buildroot}%{_datadir}/icons/hicolor/*@2/


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files -f %{appname}.lang
%license COPYING
%doc README.md
%{_bindir}/%{appname}
%{_bindir}/%{appname}-overlayfs-helper
%{_bindir}/%{name}
%{_datadir}/%{appname}/
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/icons/hicolor/*/apps/*.svg
%{_datadir}/polkit-1/actions/*.policy
%{_metainfodir}/*.appdata.xml


%changelog
* Wed May 25 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.16.3.2-3
- build: libcaca and scummvm now Recommends deps

* Wed May 25 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.16.3.2-2
- chore: Update description

* Tue May 24 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.16.3.2-1
- Update to 0.16.3-2-master

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Oct 03 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.16.1.2-1
- Update to 0.16.1-2-master

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Apr 16 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.16.0.1-1
- Update to 0.16.0-1-master

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Jan 21 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.15.0.1-1
- Update to 0.15.0-1-master

* Sun Jul 28 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.14.2.1-3
- Disable all compiler optimizations due to bugs
- Enable debug build

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jul 23 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.14.2.1-1
- Update to 0.14.2-1-master

* Sat Jun 29 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.14.1.4-1
- Update to 0.14.1-4-dev
- Remove 'granite' dependency

* Sun Jun 16 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.14.0.19-1
- Update to 0.14.0.19-dev

* Mon Jun 03 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.13.1.107-1
- Update to 0.13.1-107-dev

* Fri May 24 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.13.1.96-1
- Update to 0.13.1-96-dev
- Add more description
- Suggests libcaca package

* Sat Apr 13 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.13.1.80-3
- Update to latest snapshot
- Add recommended packages as weak dependencies
- Add libmanette-devel as BR for gamepad support
- Enable symbolic icons by default

* Tue Apr 09 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.13.1.77-1
- Initial Package

